Retrieve subscriber notifications count
Retrieve count of in-app (inbox) notifications for a subscriber by its unique key identifier **subscriberId**. Supports multiple filters to count in-app (inbox) notifications by different criteria, including context keys.
Retrieve count of in-app (inbox) notifications for a subscriber by its unique key identifier subscriberId. Supports multiple filters to count in-app (inbox) notifications by different criteria, including context keys.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
The identifier of the subscriber
Query Parameters
Array of filter objects (max 30) to count notifications by different criteria
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/subscribers/string/notifications/count?filters=%5B%7B%22read%22%3Afalse%2C%22archived%22%3Afalse%7D%2C%7B%22tags%22%3A%5B%22important%22%5D%7D%2C%7B%22tags%22%3A%7B%22and%22%3A%5B%7B%22or%22%3A%5B%22a%22%2C%22b%22%5D%7D%2C%7B%22or%22%3A%5B%22c%22%5D%7D%5D%7D%7D%5D"{ "data": [ { "count": 0, "filter": {} } ]}Retrieve subscriber notifications GET
Retrieve in-app (inbox) notifications for a subscriber by its unique key identifier **subscriberId**. Supports filtering by tags, read/archived/snoozed/seen state, data attributes, severity, date range, and context keys.
Mark a notification as read PATCH
Mark a specific in-app (inbox) notification as read by its unique identifier **notificationId**.